Remove EL6 from SIMP Puppet modules' supported OS and acceptance tests

Description

Remove EL6 from all SIMP Puppet modules:

  • metadata.json

  • acceptance tests

    • nodesets

  • (When feasible) remove EL6-specific logic and Hiera data

The upstream centos/6 boxes have been removed from Vagrant Boxes, so el6 boxes and nodesets are failing otherwise correct CI pipelines. References to them must be expunged.

#simp-releng discussion (2020/12/15) https://simp-project.slack.com/archives/CA3J1E8BC/p1608062029208600

Acceptance Criteria

None

Activity

Show:
Chris Tessmer
January 21, 2021, 5:03 PM

Removed EL6 from pupmod-simp-auditd

Chris Tessmer
January 21, 2021, 5:23 PM

Removed EL6 from pupmod-simp-hirs_provisioner

Chris Tessmer
January 21, 2021, 5:47 PM

Removed EL6 from supported OSes in pupmod-simp-sssd

Chris Tessmer
January 22, 2021, 3:15 PM

Removed EL6 from pupmod-simp-crypto_policy

Chris Tessmer
January 26, 2021, 7:03 PM

Removed EL6 from supported OSes in pupmod-simp-simp

Rejected

Epic Link

Story Points

20

Sprint

None

Affects versions

Priority

High